org.jfree.report.flow.layoutprocessor

## Class ReportLayoutController

- java.lang.Object
- - org.jfree.report.flow.layoutprocessor.ElementLayoutController
  - - org.jfree.report.flow.layoutprocessor.SectionLayoutController
    - - org.jfree.report.flow.layoutprocessor.ReportLayoutController

- All Implemented Interfaces:
    java.lang.Cloneable, LayoutController

      public class ReportLayoutController
      extends SectionLayoutController

  Creation-Date: 24.11.2006, 13:56:50
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jfree.report.flow.layoutprocessor.ElementLayoutController

      `ElementLayoutController.ElementPrecomputeKey`

  - ### Field Summary

    - ### Fields inherited from class org.jfree.report.flow.layoutprocessor.ElementLayoutController

      `FINISHED, FINISHING, NOT_STARTED, OPENED, WAITING_FOR_JOIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportLayoutController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FlowController` | `finishData(ReportTarget target, FlowController fc)`
    `protected FlowController` | `startData(ReportTarget target, FlowController fc)`

    - ### Methods inherited from class org.jfree.report.flow.layoutprocessor.SectionLayoutController

      `finishElement, getIndex, getNodes, isDisplayable, join, processChild, processContent, resetSectionForRepeat, setIndex`

    - ### Methods inherited from class org.jfree.report.flow.layoutprocessor.ElementLayoutController

      `advance, clone, computeAttributes, createPrecomputeInstance, getAttributeMap, getElement, getExpressionsCount, getFlowController, getIterationCount, getNode, getParent, getProcessingState, handleDefaultEndElement, initialize, isAdvanceable, isPrecomputing, performElementPrecomputation, setFlowController, setParent, setProcessingState, startElement, toString, tryRepeatingCommit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportLayoutController

          public ReportLayoutController()

  - ### Method Detail

    - #### startData

          protected FlowController startData(ReportTarget target,
                                             FlowController fc)
                                      throws DataSourceException,
                                             ReportProcessingException,
                                             ReportDataFactoryException

      Overrides:
        `startData` in class `SectionLayoutController`
      Throws:
        `DataSourceException`
        `ReportProcessingException`
        `ReportDataFactoryException`

    - #### finishData

          protected FlowController finishData(ReportTarget target,
                                              FlowController fc)
                                       throws DataSourceException,
                                              ReportProcessingException

      Overrides:
        `finishData` in class `SectionLayoutController`
      Throws:
        `DataSourceException`
        `ReportProcessingException`